Subject: Re: Policy changes ???
From: Pamela Dietz <[email-masked]>
To: Linda Townsend <[email-masked]>
Cc: Release Concierge <[email-masked]>, release <[email-masked]>
Date: Wed, 7 Dec 2022 15:17:15 -0500

I just checked in, the girls were great and I’m all set for my next appointment!!  ❤️❤️❤️. Happiest of holidays!!

Sent from my iPhone

On Dec 7, 2022, at 2:29 PM, Linda Townsend <[email-masked]> wrote:

This makes me so happy!! Thank you for letting me know and your understanding 😊

Sent from my iPhone

On Dec 7, 2022, at 2:26 PM, Pamela Dietz <[email-masked]> wrote:

No worries!  I’m glad that’s what it was.  I thought that might be the case!! I’m coming in today and will book my next appointment from the front desk!! Thank you for explaining that to me!!!  I love Renee and want to continue with her!  I’ll be looking for something the week of 1/23 around 3:00. I’ll work with desk.

Sent from my iPhone

On Dec 7, 2022, at 2:07 PM, Linda Townsend <[email-masked]> wrote:

Hi there,

I know the team is going to reach out also but I wanted to personally apologize for any confusion. The pre book discount is for booking the future appt while you’re checking out from an appointment, and is typically managed by the onsite concierge team at Release. Sounds like you are indeed booking your future appointment the day of your current appointmen which means you qualify for the discount. The reservation team is unfamiliar with this because it typically occurs at the front desk upon check out. If you decide to return you could book the next appt when you check out and they will apply the discount. I understand if you no longer wish to return due to the confusion, but I hope you will. Again, I’m so sorry for the miscommunication!

With gratitude,

Linda

Sent from my iPhone

On Dec 7, 2022, at 1:15 PM, Pamela Dietz <[email-masked]> wrote:

Well I always prebook my appts to receive the discount and it sounds like there isn’t one anymore?   I usually pay $108, but was being charged $120.  I’m really watching my expenses these days and was caught off guard.   Do you still do this or not?

Sent from my iPhone

On Dec 7, 2022, at 11:47 AM, Linda Townsend <[email-masked]> wrote:

HI Pam,

I’m not sure what happened today but the cancelation policy is a 50% fee for canceling within 24 hours of the appointment. You will of course receive a full refund for an appointment you are canceling in February. Again, I’m not sure what happened today but please fill me in on the details so I can follow up with the team. I apologize for any confusion.

With gratitude,

Linda

<email signature.tiff>

On Dec 7, 2022, at 11:42 AM, Pamela Dietz <[email-masked]> wrote:

Hi Linda.   I will be coming in today for my last facial with Renee, which I will talk with her about.  I called today to schedule my next one and was informed of cancellation policy, then charged $120 for my facial.  I do NOT use Bliss, nor have I ever.   I told him that you offered discounts for pre booking appointments.  He knew nothing about that.  At that point, I cancelled my appointment I was making in February, but was told it already went through!!!  Wth!!!  Took my money in two seconds!!   Then I told him that I expect to receive a FULL refund of the $120 that he grabbed from me for that appointment in February.  I’ve been coming here for years and I’m disappointed that it’s come to this, but after my appointment today, I’ll be looking to go to a place that works better for my facial needs.

Sent from my iPhone